For the complete documentation index, see llms.txt. This page is also available as Markdown.

List user groups

Gets the user groups collection.

List user groups

get

List user groups. Returns a paged list of user groups; supports RQL query parameters for filtering and selection.

Responses
200

OK

application/json
get/public/v1/accounts/user-groups
GET /public/v1/accounts/user-groups HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "data": [
    {
      "id": "UGR-5116-6265",
      "revision": 2,
      "name": "Test-1",
      "description": "Group for access management",
      "isDefault": false,
      "account": {
        "id": "ACC-1234-5678",
        "name": "Microsoft"
      },
      "modules": [
        {
          "id": "MOD-1756-1452"
        },
        {
          "id": "MOD-9042-8216"
        }
      ]
    }
  ],
  "$meta": {
    "pagination": {
      "offset": 0,
      "limit": 10,
      "total": 1
    }
  }
}

Last updated

Was this helpful?